import * as amqp from 'amqplib';
export interface AmqpClientOptions {
    connection?: amqp.Connection;
    channel?: amqp.Channel;
    amqpUrl?: string;
    socketOptions?: object;
    prefetchCount?: number;
}
export default class AmqpClient {
    amqpUrl?: string;
    socketOptions?: object;
    connection: amqp.Connection;
    channel: amqp.Channel;
    prefetchCount: number;
    protected ownConnection: boolean;
    protected ownChannel: boolean;
    protected inited: boolean;
    constructor(opts: AmqpClientOptions);
    init(): Promise<void>;
    term(): Promise<void>;
}
